<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;

// Detect the index of the current day and current schedule zone
$date = JFactory::getDate();

$config = JFactory::getConfig();
$offset = $config->get('offset');
$timezone = new DateTimeZone($offset);

$date->setTimezone($timezone);

// Get the offset with standard PHP
$tzOffset = new DateTimeZone($offset);
$tzOffset = ($tzOffset->getOffset(new DateTime("now", new DateTimeZone("GMT"))) / 3600); // Returns integer

// Get the current time and format as HHMM
$currentHour  = $date->format('G') + $tzOffset;
if ($currentHour > 23) {
    $currentHour = $currentHour - 24;
}
if ($currentHour < 0) {
    $currentHour = 24 - $currentHour;
}
if ($currentHour < 10) {
    $currentHour = '0'.$currentHour;
}

$currentMin = $date->format('i');
$now = intval($currentHour.$currentMin);

$dayIndex = $date->format('w');
$hourIndex = $date->format('G');
$hourIndex = ceil($hourIndex/2);
$hourIndex = (int)$hourIndex - 1;

?>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="modItemsBlock k2ItemsBlock<?php //if($getParams->get('moduleclass_sfx')) echo ' '.$getParams->get('moduleclass_sfx'); ?>">

    <?php if($getParams->get('itemPreText')): ?>
    <p class="modulePretext"><?php echo $getParams->get('itemPreText'); ?></p>
    <?php endif; ?>

    <?php if(count($items)): ?>
    <?php foreach ($items as $key=>$item): ?>
    <?php if($key==$dayIndex): ?>
    <div class="k2DayContainer">
        <!-- Plugins: BeforeDisplay -->
        <?php echo $item->event->BeforeDisplay; ?>

        <!-- K2 Plugins: K2BeforeDisplay -->
        <?php echo $item->event->K2BeforeDisplay; ?>

        <?php if($getParams->get('itemImage') && isset($item->image)): ?>
        <a class="moduleItemImage" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
            <img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>" />
        </a>
        <?php endif; ?>

        <?php if($getParams->get('itemAuthorAvatar')): ?>
        <a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<?php echo $item->authorLink; ?>">
            <img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
        </a>
        <?php endif; ?>

        <div class="moduleItemBody">
            <?php if($getParams->get('itemTitle')): ?>
            <a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
            <?php endif; ?>

            <?php if($getParams->get('itemAuthor')): ?>
            <div class="moduleItemAuthor">
                <?php echo K2HelperUtilities::writtenBy($item->authorGender); ?>

                <?php if(isset($item->authorLink)): ?>
                <a rel="author" title="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" href="<?php echo $item->authorLink; ?>"><?php echo $item->author; ?></a>
                <?php else: ?>
                <?php echo $item->author; ?>
                <?php endif; ?>

                <?php if($getParams->get('userDescription')): ?>
                <?php echo $item->authorDescription; ?>
                <?php endif; ?>
            </div>
            <?php endif; ?>

            <!-- Plugins: AfterDisplayTitle -->
            <?php echo $item->event->AfterDisplayTitle; ?>

            <!-- K2 Plugins: K2AfterDisplayTitle -->
            <?php echo $item->event->K2AfterDisplayTitle; ?>

            <!-- Plugins: BeforeDisplayContent -->
            <?php echo $item->event->BeforeDisplayContent; ?>

            <!-- K2 Plugins: K2BeforeDisplayContent -->
            <?php echo $item->event->K2BeforeDisplayContent; ?>

            <?php if ($getParams->get('itemIntroText')): ?>
            <div class="moduleItemIntrotext">
                <?php echo $item->introtext; ?>
            </div>
            <?php endif; ?>

            <?php if($getParams->get('itemExtraFields') && count($item->extra_fields)): ?>
            <div class="liItemExtraFields moduleItemExtraFields">
                <?php
                    // True for only the first item, shows only the first program
                    $counter = 0;

                    // Map zones according to the fields' key
                    $zones = array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z');
                    foreach ($zones as $zoneKey => $zone):
                        // Variables based on the extrafields
                        $var = 'time_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $time = $item->extraFields->$var;
                        }

                        $var = 'coverImage_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $coverImage = $item->extraFields->$var;
                        }

                        $var = 'avatar_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $avatar = $item->extraFields->$var;
                        }

                        $var = 'title_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $title = $item->extraFields->$var;
                        }

                        $var = 'sc_tagline_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $tagline = $item->extraFields->$var;
                        }

                        $var = 'dj_'.$zone;
                        if (!empty($item->extraFields->$var)) {
                            $dj = $item->extraFields->$var;
                        }

                        // Time calculations based on the fields
                        if (isset($time)) {
                            $startHH  = substr($time->value, 0, 2);
                            $startMM  = substr($time->value, 3, 2);
                            $start    = intval($startHH.$startMM);
                            $endHH    = substr($time->value, 8, 2);
                            $endMM    = substr($time->value, 11, 2);
                            $end      = intval($endHH.$endMM);
                        }

                        // For demo purposes
                        if(!$avatar || strpos(trim($avatar->value), '[IF EMPTY A RANDOM IMAGE WILL BE USED]') !== false) $avatar->value = '<img src="'.JURI::base(true).'/templates/radiowave/images/placeholders/avatars/'.rand(1,40).'.jpg" />';
                        if(!$coverImage || strpos(trim($coverImage->value), '[IF EMPTY A RANDOM IMAGE WILL BE USED]') !== false) $coverImage->value = '<img src="'.JURI::base(true).'/templates/radiowave/images/placeholders/covers/'.rand(1,38).'.jpg" />';
                ?>

                <?php if (isset($time) && (isset($avatar) || isset($dj))): ?>
                <?php if ($now >= $start && $now < $end) $counter++; ?>
                <div class="onAir"<?php if (!($now >= $start && $now < $end && $counter === 1)) echo ' style="display:none;"'; ?>>
                    <?php
                        /*
                        // For testing/development
                        if (isset($_GET['dev'])) {
                            echo '<div style="font-size:10px;color:#999;">Now is: '.$now.' - Start time is: '.$start.' - End time is: '.$end.'</div>';
                        }
                        */
                    ?>
                    <?php if($avatar): ?>
                    <span class="avatar"><?php echo $avatar->value; ?></span>
                    <?php endif; ?>
                    <?php if($dj): ?>
                    <div class="djBody">
                        <h4><?php echo JText::_('NU_ON_AIR'); ?></h4>
                        <span class="dj"><?php echo $dj->value; ?></span>
                        <span style="display:block;font-size:12px;width:180px;">
                            <?php echo $title->value; ?> / <?php echo $startHH.':'.$startMM; ?> - <?php echo $endHH.':'.$endMM; ?>
                            <!-- Now: <?php echo $now; ?> | Raw Time Value: <?php echo $time->value; ?> -->
                        </span>
                    </div>
                    <?php endif; ?>
                    <div class="clr"></div>
                </div>
                <?php endif; ?>

                <?php endforeach; ?>
                <div class="clr"></div>
            </div>
            <?php endif; ?>

            <?php /* if($getParams->get('itemExtraFields') && count($item->extra_fields)): ?>
            <div class="moduleItemExtraFields">
                <b><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></b>
                <ul>
                    <?php foreach ($item->extra_fields as $extraField): ?>
                    <?php if($extraField->value!=''): ?>
                    <li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
                        <?php if($extraField->type=='header'): ?>
                        <h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
                        <?php else: ?>
                        <span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
                        <span class="moduleItemExtraFieldsValue<?php echo ' aliasIs-'.$extraField->alias; ?>"><?php echo $extraField->value; ?></span>
                        <?php endif; ?>
                        <div class="clr"></div>
                    </li>
                    <?php endif; ?>
                    <?php endforeach; ?>
                </ul>
            </div>
            <?php endif; */ ?>

            <div class="clr"></div>

            <?php if($getParams->get('itemVideo')): ?>
            <div class="moduleItemVideo">
                <?php echo $item->video ; ?>
                <span class="moduleItemVideoCaption"><?php echo $item->video_caption; ?></span>
                <span class="moduleItemVideoCredits"><?php echo $item->video_credits; ?></span>
            </div>
            <?php endif; ?>

            <div class="clr"></div>

            <!-- Plugins: AfterDisplayContent -->
            <?php echo $item->event->AfterDisplayContent; ?>

            <!-- K2 Plugins: K2AfterDisplayContent -->
            <?php echo $item->event->K2AfterDisplayContent; ?>

            <?php if($getParams->get('itemDateCreated')): ?>
            <span class="moduleItemDateCreated"><?php echo JText::_('K2_WRITTEN_ON') ; ?> <?php echo JHTML::_('date', $item->created, JText::_('K2_DATE_FORMAT_LC2')); ?></span>
            <?php endif; ?>

            <?php if($getParams->get('itemCategory')): ?>
            <?php echo JText::_('K2_IN') ; ?> <a class="moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
            <?php endif; ?>

            <?php if($getParams->get('itemTags') && count($item->tags)>0): ?>
            <div class="moduleItemTags">
                <b><i class="icon-tags"></i><?php //echo JText::_('K2_TAGS'); ?></b>
                <?php foreach ($item->tags as $tagCounter=>$tag): ?>
                <?php if(count($item->tags)==($tagCounter+1)): ?>
                <a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a>
                <?php else: ?>
                <a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?>,</a>
                <?php endif; ?>
                <?php endforeach; ?>
            </div>
            <?php endif; ?>

            <?php if($getParams->get('itemAttachments') && count($item->attachments)): ?>
            <div class="moduleAttachments">
                <?php foreach ($item->attachments as $attachment): ?>
                <a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
                <?php endforeach; ?>
            </div>
            <?php endif; ?>

            <?php if($getParams->get('itemCommentsCounter') && $componentParams->get('comments')): ?>
            <div class="moduleItemComments">
                <i class="icon-comments"></i>
                <?php if(!empty($item->event->K2CommentsCounter)): ?>
                <!-- K2 Plugins: K2CommentsCounter -->
                <?php echo $item->event->K2CommentsCounter; ?>
                <?php else: ?>
                <?php if($item->numOfComments>0): ?>
                <a href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
                    <span><?php echo $item->numOfComments; ?> <?php if($item->numOfComments>1) echo JText::_('K2_COMMENTS'); else echo JText::_('K2_COMMENT'); ?></span>
                </a>
                <?php else: ?>
                <a href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
                    <span><?php echo '0 '.JText::_('K2_BE_THE_FIRST_TO_COMMENT'); ?></span>
                </a>
                <?php endif; ?>
                <?php endif; ?>
            </div>
            <?php endif; ?>

            <?php if($getParams->get('itemHits')): ?>
            <span class="moduleItemHits">
                <?php echo JText::_('K2_READ'); ?> <?php echo $item->hits; ?> <?php echo JText::_('K2_TIMES'); ?>
            </span>
            <?php endif; ?>

            <?php if($getParams->get('itemReadMore') && $item->fulltext): ?>
            <a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
                <span><?php echo JText::_('K2_READ_MORE'); ?></span>
            </a>
            <?php endif; ?>

            <!-- Plugins: AfterDisplay -->
            <?php echo $item->event->AfterDisplay; ?>

            <!-- K2 Plugins: K2AfterDisplay -->
            <?php echo $item->event->K2AfterDisplay; ?>
        </div>
        <div class="clr"></div>
    </div>
    <?php endif; ?>
    <?php endforeach; ?>
    <?php endif; ?>

    <?php if($getParams->get('itemCustomLink')): ?>
    <a class="moduleCustomLink" href="<?php echo $getParams->get('itemCustomLinkURL'); ?>" title="<?php echo K2HelperUtilities::cleanHtml($itemCustomLinkTitle); ?>">
        <span><?php echo $itemCustomLinkTitle; ?></span>
    </a>
    <?php endif; ?>

    <?php if($getParams->get('feed')): ?>
    <div class="k2FeedIcon">
        <a href="<?php echo JRoute::_('index.php?option=com_k2&view=itemlist&format=feed&moduleID='.$module->id); ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
            <span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
        </a>
        <div class="clr"></div>
    </div>
    <?php endif; ?>
    <div class="clr"></div>
</div>
