<?php
/**
 * @version    1.2.0
 * @package    RadioWave (Akhtarma)
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class JFormFieldNuBase extends JFormField
{
    public $type = 'NuBase';

    public function getInput()
    {
        // Get current template name
        $template = $this->form->getValue('template');

        // Load required CSS & JS
        $document = JFactory::getDocument();
        $document->addStyleSheet(JURI::root(true).'/templates/'.$template.'/includes/elements/assets/css/style.css?v=1.2.0');
        JHtml::_('jquery.framework');
        $document->addScript('https://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js');
        $document->addScript(JURI::root(true).'/templates/'.$template.'/includes/elements/assets/js/behaviour.js?v=1.2.0');

        $document->addScriptDeclaration('
			WebFontConfig = {
				custom: {
					families: [\'entypoftp\'],
					urls: [\'https://cdn.joomlaworks.org/webfonts/entypoftp/css/fontello.css\']
				}
			};
			(function() {
				var wf = document.createElement(\'script\');
				wf.src = (\'https:\' == document.location.protocol ? \'https\' : \'http\') + \'://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js\';
				wf.type = \'text/javascript\';
				wf.async = \'true\';
				var s = document.getElementsByTagName(\'script\')[0];
				s.parentNode.insertBefore(wf, s);
			})();
		');
        
        // Fetch settings template
        ob_start();
        include dirname(__FILE__).'/tmpl/settings.php';
        $contents = ob_get_clean();

        // Remove current form fields
        $this->form->removeGroup('params');

        // Replace with form fields from settings template
        return $contents;
    }

    public function getLabel()
    {
        return null;
    }
}
