<?php
/**
 * @version    1.2.0
 * @package    RadioWave (Akhtarma)
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die;

use Joomla\CMS\Filesystem\File as JFile;
use Joomla\CMS\Filesystem\Folder as JFolder;

JFormHelper::loadFieldClass('list');

class JFormFieldNuFont extends JFormFieldList
{
    public $type = 'NuFont';

    protected function getOptions()
    {
        $gwf = $this->getFile('https://cdn.joomlaworks.org/gwf/gwf.php');
        $gwfJSON = json_decode(file_get_contents($gwf));



        $options = array();

        // Create one new option object for each tag
        foreach ($gwfJSON as $font) {
            $tmp = JHtml::_('select.option', $font->family, $font->family);
            $options[] = $tmp;
        }

        // Merge any additional options in the XML definition.
        $options = array_merge(parent::getOptions(), $options);

        return $options;
    }

    // Get remote file
    public function getFile($url, $cacheTime = 86400)
    {
        // Check cache folder
        $cacheFolderPath = JPath::clean(dirname(__FILE__) . '/cache');
        if (!JFolder::exists($cacheFolderPath)) {
            JFolder::create($cacheFolderPath);
        }

        $url = trim($url);

        $tmpFile = $cacheFolderPath . '/gwf.json';

        // Check if a cached copy exists otherwise create it
        if (JFile::exists($tmpFile) && ((filemtime($tmpFile) + $cacheTime) > time() || $cacheTime == 0)) {


            $result = $tmpFile;
        } else {
            // Get file
            if (substr($url, 0, 4) == "http") {
                // ... többi kód ...
            } else {
                // ... többi kód ...
            }
            $result = $tmpFile;
        }
        return $result;
    }
}
