<?php
/**
 * @version    1.2.0
 * @package    RadioWave (Akhtarma)
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class JFormFieldNuImage extends JFormField
{
    public $type = 'NuImage';

    public function getInput()
    {
        $template = $this->form->getValue('template');
        $document = JFactory::getDocument();
        $id = uniqid('nuImage');
        $output = '
            <div class="nuImage" id="'.$id.'">
                <a class="nuImagePreviewButton" data-nuimage-id="'.$id.'" href="#" title="'.JText::_('TPL_NU_BE_FIELDS_CLICKTOVIEW').' '.$this->value.'"><i class="icon-eye"></i></a>
                <input name="'.$this->name.'" id="'.$id.'_field" value="'.$this->value.'" readonly="readonly" type="text" />
                <a class="nuImageModalButton" data-nuimage-id="'.$id.'" title="'.JText::_('TPL_NU_BE_FIELDS_SELECT').'">'.JText::_('TPL_NU_BE_FIELDS_SELECT').'</a>
                <a class="nuImageClearButton" data-nuimage-id="'.$id.'" href="#"><i class="icon-remove"></i></a>
            </div>
        ';

        if (isset($this->mediaEnabled) && $this->mediaEnabled) {
            JHtml::_('jquery.framework');
            $document->addScriptDeclaration('
                jQuery(document).ready(function($) {
                    function jInsertFieldValue(value, id) {
                        var old_value = $("#" + id).val();
                        if (old_value !== value) {
                            $("#" + id).val(value).change();
                            jMediaRefreshPreview(id);
                        }
                    }

                    function jMediaRefreshPreview(id) {
                        var value = $("#" + id).val();
                        var img = $("#" + id + "_preview");
                        if (img.length) {
                            if (value) {
                                img.attr("src", "'.JURI::root().' " + value);
                                $("#" + id + "_preview_empty").css("display", "none");
                                $("#" + id + "_preview_img").css("display", "");
                            } else {
                                img.attr("src", "");
                                $("#" + id + "_preview_empty").css("display", "");
                                $("#" + id + "_preview_img").css("display", "none");
                            }
                        }
                    }

                    function jMediaRefreshPreviewTip(tip) {
                        var img = tip.find("img.media-preview");
                        tip.find("div.tip").css("max-width", "none");
                        var id = img.attr("id");
                        id = id.substring(0, id.length - "_preview".length);
                        jMediaRefreshPreview(id);
                        tip.css("display", "block");
                    }
                });
            ');
        }

        return $output;
    }
}
