<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Language;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;

// No direct access
defined('_JEXEC') or die('Restricted access');

/* -------------------- API Calls & Assignments -------------------- */
$app          = Factory::getApplication();
$document     = Factory::getDocument();
$language     = Language::getLanguage();
$sitename     = $app->get('sitename');
$sitetemplate = $app->getTemplate();
$siteurl      = Uri::base();
$siterelpath  = $this->baseurl;
$siteabspath  = JPATH_SITE;
$templatePath = Uri::base() . 'templates/' . $this->template; // Updated this line

/* -------------------- Requests -------------------- */
$option       = $app->input->get('option');
$view         = $app->input->get('view');
$layout       = $app->input->get('layout');
$page         = $app->input->get('page');
$task         = $app->input->get('task');
$id           = $app->input->getInt('id');
$itemid       = $app->input->getInt('Itemid');
$tmpl         = $app->input->get('tmpl');

/* -------------------- Helper Functions -------------------- */

/* -------------------- Sub-template Specific -------------------- */
if (!isset($this->error)) {
    Factory::getApplication()->enqueueMessage(Factory::getApplication()->getLanguage()->_('JERROR_ALERTNOAUTHOR'), 'warning');
    $this->debug = false;
}
$uri = Uri::getInstance();
$url = $uri->toString();

/* -------------------- Template Constants -------------------- */
if (!defined('NU_CDN')) {
    define('NU_CDN', 'https://cdn.joomlaworks.org');
}

/* -------------------- Custom Template Logic [CAN EDIT] -------------------- */
// Add template specific rules and logic here
