,<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');



require_once dirname(__FILE__).'/includes/helper.php';

?>
<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#">
    <head>
        <?php echo NU_HEAD_TOP; ?>
        <jdoc:include type="head" />
        <?php echo NU_HEAD_BOTTOM; ?>

        <!-- Required for Radiojar only - you can freely remove it if you use another service [start] -->
        <script type="text/javascript" src="//www.radiojar.com/wrappers/api-plugins/v1/radiojar-min.js"></script>
        <!-- Required for Radiojar only - you can freely remove it if you use another service [finish] -->
    </head>
    <body id="<?php echo NU_BODY_ID; ?>" class="<?php echo NU_BODY_CLASS; ?>" <?php echo $bgImgVar; ?>>
        <?php echo NU_BODY_TOP; ?>
        <div id="pageWrapper">
            <div class="row page">
                <?php if($this->countModules('RadioWave_HorizontalMenu')): ?>
                <?php $menuColClass = (count($social)) ? "medium-2 large-11" : "medium-16"; ?>
                <section id="mainHeader">
                    <?php if($this->countModules('RadioWave_HorizontalMenu')): ?>
                    <div id="menuWrapper" class="column small-16 <?php echo $menuColClass; ?>">
                        <div id="menuToggler"><span><?php echo JText::_('NU_MENU'); ?></span><i class="icon-menu-1"></i></div>
                        <nav class="mainNav">
                            <div id="closeBtn"><i class="icon-cancel-1"></i><span><?php echo JText::_('NU_CLOSE'); ?></span></div>
                            <jdoc:include type="modules" name="RadioWave_HorizontalMenu" style="nu" />
                            <div class="clr"></div>
                        </nav>
                    </div>
                    <?php endif; ?>

                    <!-- Social -->
                    <?php if(count($social)): ?>
                    <div class="column medium-14 large-5 text-right socialMenu hide-for-small">
                        <ul>
                            <?php foreach($social as $provider): ?>
                            <li>
                                <a class="linkIs-<?php echo $provider->class; ?>" target="_blank" href="<?php echo $provider->url; ?>">
                                    <span><?php echo $provider->name; ?></span>
                                </a>
                            </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <?php endif; ?>
                    <div class="clr"></div>
                </section>
                <?php endif; ?>

                <section id="logo"<?php if($this->countModules('RadioWave_Menu')) echo 'class="left small-8 bottomMargin"'; ?>>
                    <!-- Logo -->
                    <h1>
                        <a href="<?php echo $siteurl; ?>">
                            <?php if($this->params->get('siteLogo')): ?>
                            <img src="<?php echo $this->params->get('siteLogo'); ?>" alt="<?php echo $this->params->get('siteLogoAltText', $sitename); ?>" />
                            <?php else: ?>
                            <span><?php echo $this->params->get('siteTextAsLogo', $sitename); ?></span>
                            <?php endif; ?>
                        </a>
                    </h1>
                    <!-- Tagline -->
                    <?php if($this->params->get('siteTagline')): ?>
                    <h2><?php echo $this->params->get('siteTagline'); ?></h2>
                    <?php endif; ?>
                    <div class="clr"></div>
                </section>

                <?php if($this->countModules('RadioWave_Menu')): ?>
                <div class="column small-8 right rightMenuContainer">
                    <div id="menuWrapperCompact" class="right">
                        <div id="menuToggler"><span><?php echo JText::_('NU_MENU'); ?></span><i class="icon-menu-1"></i></div>
                        <nav class="mainNav">
                            <div id="closeBtn"><i class="icon-cancel-1"></i><span><?php echo JText::_('NU_CLOSE'); ?></span></div>
                            <jdoc:include type="modules" name="RadioWave_Menu" style="nu" />
                            <div class="clr"></div>
                        </nav>
                    </div>

                    <!-- Social -->
                    <?php if(count($social)): ?>
                    <div class="right socialMenu hide-for-small">
                        <ul>
                            <?php foreach($social as $provider): ?>
                            <li>
                                <a class="linkIs-<?php echo $provider->class; ?>" target="_blank" href="<?php echo $provider->url; ?>">
                                    <span><?php echo $provider->name; ?></span>
                                </a>
                            </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <?php endif; ?>
                    <div class="clr"></div>

                </div>
                <div class="clr"></div>
                <?php endif; ?>

                <?php if($this->countModules('RadioWave_Player')): ?>
                <section id="player">
                    <jdoc:include type="modules" name="RadioWave_Player" style="nu" />
                    <div class="clr"></div>
                </section>
                <?php endif; ?>

                <?php if($this->countModules('RadioWave_Top')): ?>
                <section id="topContainer">
                    <jdoc:include type="modules" name="RadioWave_Top" style="nu" />
                </section>
                <?php endif; ?>

                <?php if($this->countModules('RadioWave_AboveComponent_1 or RadioWave_AboveComponent_2')): ?>
                <section id="aboveComponent">
                    <?php if($this->countModules('RadioWave_AboveComponent_1')): ?>
                    <div class="small-16 whiteBgOpacity90 aboveComponentLeft<?php if($this->countModules('RadioWave_AboveComponent_2')) echo ' column large-11'; else echo ' fullWidth'; ?>">
                        <jdoc:include type="modules" name="RadioWave_AboveComponent_1" style="nu" />
                    </div>
                    <?php endif; ?>
                    <?php if($this->countModules('RadioWave_AboveComponent_2')): ?>
                    <div class="column small-16 large-5 whiteBgOpacity80 aboveComponentRight">
                        <jdoc:include type="modules" name="RadioWave_AboveComponent_2" style="nu" />
                    </div>
                    <?php endif; ?>
                    <div class="clr"></div>
                </section>
                <?php endif; ?>

                <section id="content">
                    <div class="small-16 contentBlock<?php if($this->countModules('RadioWave_Right')) echo ' column large-11 borderRight hasSidebar equalHeights'; else echo ' fullWidth'; ?>">
                        <?php if ( isset($pageHeading)): ?>
                        <div <?php if (!empty($pageBgImage)) echo 'style="background-image:url('.$pageBgImage.');"'; ?> class="pageHeadingBgImage">
                            <h2 class="pageHeading"><?php echo $pageHeading; ?></h2>
                        </div>
                        <?php endif; ?>

                        <?php if($this->countModules('RadioWave_Component')): ?>
                        <jdoc:include type="modules" name="RadioWave_Component" style="nu" />
                        <?php endif; ?>

                        <jdoc:include type="message" />
                        <jdoc:include type="component" />
                    </div>

                    <?php if($this->countModules('RadioWave_Right')): ?>
                    <aside class="column small-16 large-5 sidebar equalHeights">
                        <jdoc:include type="modules" name="RadioWave_Right" style="nu" />
                    </aside>
                    <?php endif; ?>
                    <div class="clr"></div>
                </section>

                <?php if($this->countModules('RadioWave_BelowComponent')): ?>
                <section id="belowComponent">
                    <jdoc:include type="modules" name="RadioWave_BelowComponent" style="nu" />
                </section>
                <?php endif; ?>

                <?php if($this->countModules('RadioWave_Bottom')): ?>
                <section id="bottom">
                    <div class="bottomMods<?php echo $rowclass; ?>">
                        <jdoc:include type="modules" name="RadioWave_Bottom" style="nu" />
                    </div>
                    <div class="clr"></div>
                </section>
                <?php endif; ?>

                <!-- Footer -->
                <div id="footer">
                    <div id="copyrights" class="column small-16 medium-8 large-8"><?php echo NU_COPYRIGHTS; ?>. <?php echo JText::_('TPL_NU_FE_ALL_RIGHTS_RESERVED'); ?>.</div>
                    <div id="credits" class="column small-16 medium-8 large-8 text-right"><?php echo NU_CREDITS; ?></div>
                    <div class="clr"></div>
                </div>

            </div>
        </div>

        <!-- Required for Radiojar only - you can freely remove it if you use another service [start] -->
        <script type="text/javascript">
        <?php require_once(dirname(__FILE__).'/js/radiojar.js'); ?>
        </script>
        <!-- Required for Radiojar only - you can freely remove it if you use another service [finish] -->

        <?php echo NU_BODY_BOTTOM; ?>

        <jdoc:include type="modules" name="debug" />
    </body>
</html>
