/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2018 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// For the Player
rjq('#rjp-radiojar-player').radiojar('player', {
    "streamName": "u0510s7hb",
    "enableUpdates": true,
    "defaultImage": "https://www.radiojar.com/img/sample_images/Radio_Stations_Avatar_BLUE.png",
    "autoplay": false
});
rjq('#rjp-radiojar-player').off('rj-track-load-event');
rjq('#rjp-radiojar-player').on('rj-track-load-event', function(event, data) {
    updateInfo(data);
    if (data.title != "" || data.artist != "") {
        rjq('.rjp-trackinfo-container').show();
        rjq('#trackInfo').html('<span>' + data.artist + '</span>' + data.title)
    } else {
        rjq('.rjp-trackinfo-container').hide();
    }
});

function updateInfo(data) {
    if (data.thumb) {
        rjq('#rj-cover').html('<a href="#"><img src="' + data.thumb + '" alt="" title="" /></a>')
    } else {
        rjq('#rj-cover').html('')
    }
}

// For the DJ lists
rjq('#rj-djs-list').radiojar('djs', {
    streamName: "u0510s7hb"
});

// For the Schedule
rjq('#rj-schedule').radiojar('schedule', {
    streamName: "u0510s7hb"
});

// For the "On Air" module
rjq('#rjp-currentshow').radiojar('currentShow', {
    streamname: "u0510s7hb",
});
rjq('#rjp-currentshow').off('rj-show-change-event');
rjq('#rjp-currentshow').on('rj-show-change-event', function(event, data) {
    if (data) {
        rjq('.element-show-current').attr('style', 'display:block;');
        rjq('#show-title').html(data.title);
        rjq('#host-info').empty();
        for (x in data.host_profiles) {
            if (x == 0) {
                rjq('#host-info').after('<div class="onAir"><span class="avatar"><img class="rjp-show-host-thumb" src="https://www.radiojar.com/content/users/' + data.host_profiles[x].id + '/image/?resize=small"></span><div class="djBody rjp-show-host"><h4>on Air</h4><span class="dj">' + data.host_profiles[x].dj_info.nickname + '</span></div><div class="clr"></div></div>');
            } else {
                rjq('#host-info .onAir').css('display', 'none');
            }
        }
    } else {
        rjq('.element-show-current').attr('style', 'display:none;')
    }
});
