<?php
/**
 * @version    1.2.0
 * @package    RadioWave
 * @author     JoomlaWorks - https://www.joomlaworks.net
 * @copyright  Copyright (c) 2006 - 2020 JoomlaWorks Ltd. All rights reserved.
 * @license    https://www.joomlaworks.net/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
namespace Joomla\CMS\Document;
require_once dirname(__FILE__).'/includes/helper.php';

?>
<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#">
    <head>
        <?php echo NU_HEAD_TOP; ?>
        <jdoc:include type="head" />
        <?php echo NU_HEAD_BOTTOM; ?>

        <!-- Required for Radiojar only - you can freely remove it if you use another service [start] -->
        <script type="text/javascript" src="https://www.radiojar.com/wrappers/api-plugins/v1/radiojar-min.js"></script>
        <!-- Required for Radiojar only - you can freely remove it if you use another service [finish] -->
    </head>
    <body id="<?php echo NU_BODY_ID; ?>" class="<?php echo NU_BODY_CLASS; ?>">
        <?php echo NU_BODY_TOP; ?>

        <div id="popupPageWrapper">
            <div class="row page">
                <section id="logo" class="left text-left bottomMargin">
                    <!-- Logo -->
                    <h1>
                        <a href="<?php echo $siteurl; ?>">
                            <?php if($this->params->get('siteLogo')): ?>
                            <img src="<?php echo $this->params->get('siteLogo'); ?>" alt="<?php echo $this->params->get('siteLogoAltText', $sitename); ?>" />
                            <?php else: ?>
                            <span><?php echo $this->params->get('siteTextAsLogo', $sitename); ?></span>
                            <?php endif; ?>
                        </a>
                    </h1>
                </section>
                <div id="closePopupBtn">
                    <a href="javascript:void(0);" onclick="window.close();">
                        <i class="icon-cancel"></i><span><?php echo JText::_('NU_CLOSE'); ?></span>
                    </a>
                </div>
                <div class="clr"></div>
                <section id="content">
                    <ul class="popupTabs hide-for-xsmall">
                        <li><a href="javascript:void(0);"><i class="icon-play"></i>Player</a></li>
                        <li><a href="javascript:void(0);"><i class="icon-list-bullet"></i>Schedule</a></li>
                        <li><a href="javascript:void(0);"><i class="icon-mic"></i>Djs</a></li>
                    </ul>
                    <div class="popupPane">
                        <?php if($this->countModules('RadioWave_Popup_Player')): ?>
                        <div class="playerContainer">
                            <jdoc:include type="modules" name="RadioWave_Popup_Player" style="nu" />
                        </div>
                        <?php endif; ?>
                        <?php if($this->countModules('RadioWave_Popup_Sidebar')): ?>
                        <div class="sidebarContainer">
                            <jdoc:include type="modules" name="RadioWave_Popup_Sidebar" style="nu" />
                            <!-- Social -->
                            <?php if(count($social)): ?>
                            <div class="socialMenu">
                                <h4><?php echo JText::_('NU_SHARING'); ?></h4>
                                <ul>
                                    <?php foreach($social as $provider): ?>
                                    <li>
                                        <a class="linkIs-<?php echo $provider->class; ?>" target="_blank" href="<?php echo $provider->url; ?>">
                                            <span><?php echo $provider->name; ?></span>
                                        </a>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <?php endif; ?>
                        </div>
                        <?php endif; ?>
                        <div class="clr"></div>
                    </div>
                    <div class="popupPane">
                        <?php if($this->countModules('RadioWave_Popup_Schedule')): ?>
                        <jdoc:include type="modules" name="RadioWave_Popup_Schedule" style="nu" />
                        <?php endif; ?>
                    </div>
                    <div class="popupPane">
                        <?php if($this->countModules('RadioWave_Popup_Djs')): ?>
                        <jdoc:include type="modules" name="RadioWave_Popup_Djs" style="nu" />
                        <?php endif; ?>
                    </div>
                    <jdoc:include type="message" />
                    <jdoc:include type="component" />
                </section>
                <section id="footer">
                    <?php if ($this->params->get('nutpMP3') || $this->params->get('nutpM3U')): ?>
                    <h5><?php echo JText::_('NU_ALSO_IN'); ?></h5>
                    <?php if ($this->params->get('nutpMP3')): ?>
                    <a href="<?php echo $this->params->get('nutpMP3'); ?>">MP3</a>
                    <?php endif; ?>
                    <?php if ($this->params->get('nutpM3U')): ?>
                    <a href="<?php echo $this->params->get('nutpM3U'); ?>">M3U</a>
                    <?php endif; ?>
                    <?php endif; ?>
                </section>
            </div>
        </div>

        <!-- Required for Radiojar only - you can freely remove it if you use another service [start] -->
        <script type="text/javascript">
        <?php require_once(dirname(__FILE__).'/js/radiojar.js'); ?>
        </script>
        <!-- Required for Radiojar only - you can freely remove it if you use another service [finsih] -->

        <?php echo NU_BODY_BOTTOM; ?>
    </body>
</html>
